Subject: Re: GSoC questions

From: Vincent van Ravesteijn <[email-masked]>
Date: Fri, 01 Apr 2011 23:05:13 +0200

>> I guess the git2 client will consist solely of non-gitcore code, as
>> all the gitcore code will be part of libgit2 eventually.
>>
> I had sort of assumed that git-core code would be taken as inspiration,
> but that it would be an entirely new implementation, based around the
> error handling and build infrastructure provided by libgit2.

Looking at the above, I think we completely agree. When I wrote that the 
gitcore code will get into libgit2, I indeed meant that it should be 
rewritten in the libgit2 style and then be added to libgit2.

There was also temporarily the idea for GSoC to let Git use the 
libgit2-library, or maybe to libify git on the road. That's why I 
thought it might be useful if we were not going to rewrite the boring 
administration code.

Thanks for thinking along,

Vincent